Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 337682 - dev-dotnet/ikvm does not respect LDFLAGS
Summary: dev-dotnet/ikvm does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: dotnet
URL: https://sourceforge.net/tracker/?func...
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-16 18:08 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2011-09-10 10:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (ikvm-0.44.0.5:20100916-150837.log,40.89 KB, text/plain)
2010-09-16 18:09 UTC, Diego Elio Pettenò (RETIRED)
Details
1.patch (1.patch,631 bytes, patch)
2010-12-06 19:17 UTC, Pacho Ramos
Details | Diff
2.patch (ikvm-ldflags.patch,641 bytes, patch)
2011-01-06 10:59 UTC, Alistair Bush (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-16 18:08:51 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-16 18:09:14 UTC
Created attachment 247626 [details]
Build log
Comment 2 Pacho Ramos gentoo-dev 2010-12-06 19:17:55 UTC
Created attachment 256515 [details, diff]
1.patch

Diego, I have tried to modify native/native.build as attached without success, how should the "gcc" invocation look then?

Thanks a lot for your help
Comment 3 Pacho Ramos gentoo-dev 2011-01-05 11:49:49 UTC
Upstream also doesn't know how to solve this :-(
Comment 4 Alistair Bush (RETIRED) gentoo-dev 2011-01-06 09:38:11 UTC
(In reply to comment #3)
> Upstream also doesn't know how to solve this :-(
> 

I would suspect that the environment variables are not passed correctly.

Therefore nant/mono would resolve $(LDFLAGS) as ""

trying to get nant to build for me (using mono-9999) and if successful to attempt to fix this.
Comment 5 Alistair Bush (RETIRED) gentoo-dev 2011-01-06 10:59:59 UTC
Created attachment 259032 [details, diff]
2.patch

This seems to work much better.  Currently the only issue with this is if a user does not have LDFLAGS defined at all (it will error).  This should be easily worked around.


by adding -v to the nant call this patch results in this...

ikvm-native-unix:
            
                 [exec] Starting '/bin/bash (-c 'gcc -Wl,--hash-style=gnu,--as-needed -o libikvm-native.so --shared -fPIC `pkg-config --cflags --libs --libs gmodule-2.0` jni.c os.c')' in '/var/tmp/portage/dev-dotnet/ikvm-0.44.0.6-r1/work/ikvm-0.44.0.6/native'
                 [copy] Copying 1 file to '/var/tmp/portage/dev-dotnet/ikvm-0.44.0.6-r1/work/ikvm-0.44.0.6/bin'.
                 [copy] Copying '/var/tmp/portage/dev-dotnet/ikvm-0.44.0.6-r1/work/ikvm-0.44.0.6/native/libikvm-native.so' to '/var/tmp/portage/dev-dotnet/ikvm-0.44.0.6-r1/work/ikvm-0.44.0.6/bin/libikvm-native.so'.
            Function platform::is-win32 is deprecated.  Use the is-windows function instead.
            
            BUILD SUCCEEDED - 0 non-fatal error(s), 1 warning(s)
Comment 6 Pacho Ramos gentoo-dev 2011-09-10 10:34:31 UTC
+*ikvm-0.46.0.1 (10 Sep 2011)
+
+  10 Sep 2011; Pacho Ramos <pacho@gentoo.org> -ikvm-0.44.0.5.ebuild,
+  +ikvm-0.46.0.1.ebuild, +files/ikvm-0.46.0.1-key.patch:
+  Version bump, remove old.
+

Looks fixed in this version